package com.yihu.hos.standard.dao;



import com.yihu.hos.standard.model.adapter.AdapterMetadataModel;
import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;

import java.util.List;

/**
 * Created by Administrator on 2016/5/4.
 */
public interface IStdAdapterMetadataDao extends XSQLGeneralDAO {
    List<AdapterMetadataModel> getAdapterMetadataByMetadateId(String metedataId) throws Exception;

    List<AdapterMetadataModel> getAdapterMetadataByDatasetIdAndStatus(String id, String s) throws Exception;

    void updateAdapterMetadataStatus(String id, String s) throws Exception;

    List<AdapterMetadataModel> getAdapterMetadataByAdaptMetadateId(String AdaptMetadateId)throws Exception;

    List<AdapterMetadataModel> getAdapterMetadataByMetadateIdAndStatus(String id, String type)throws Exception;

    List<AdapterMetadataModel> getAdapterMetadataByAdaptMetadateIdAndStdDataSetId(String AdaptMetadateId, String stdDataSetId)throws Exception;

    List<AdapterMetadataModel> getAdapterMetadataByProjectId(String id)throws Exception;

    List<AdapterMetadataModel> getAdapterMetadataByDatasetId(String dataSetId)throws Exception;
}
